Subject: bug#50269: 27.2; Request: use GTK continuous scroll events for smooth touchpad scrolling

From: Eli Zaretskii <[email-masked]>
Date: Mon, 30 Aug 2021 22:14:31 +0300

> From: Alexander Huntley <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 30 Aug 2021 20:02:00 +0100
> 
> > Then I don't think I understand what you'd like Emacs to do in this
> > case, and how would that be different from pixel-scroll-mode.  Please
> > tell more.
> Modern touchpads offer more precision than scroll wheels, so it is possible
> (e.g. in Firefox, using libinput drivers) to make the view scroll by
> just 1 or 2 pixels using small movements. As a result, the scrolling
> corresponds closely to the hand movement on the trackpad. This feels
> good (like scrolling on a touchscreen).
> 
> Emacs (because it ignores this higher-precision scrolling data) basically
> quantizes the available scroll positions, which ought to be continuous.
> This makes scrolling on Emacs feel more abrupt than in other apps.
> 
> pixel-scroll-mode does not fix this; it just provides an animation between
> scroll positions. The available positions remain quantized at line
> boundaries.

We are probably having communication difficulties due to terminology
you are using.  pixel-scroll-mode doesn't work on line granularity, it
actually shifts the display one pixel at a time.  If you scroll by
enough pixels so that the sum total of those pixels amounts to one
line, pixel-scroll-mode resets the display shift offset to zero and
scrolls the display by one full line, then it keeps shifting one pixel
at a time.

Given this description of how pixel-scroll-mode works, what exactly
would you like to change?

Or maybe looking at this from a different angle: how does the behavior
you'd like to see differ from what pixel-scroll-mode produces?